#!/usr/bin/env python
#--*-- coding:UTF-8 --*--
import Image,ImageDraw,ImageFont

# creación del fondo de la imagen
image = Image.new('RGB', (300, 80), (220,210,190))
draw = ImageDraw.Draw(image)

# Creación del texto
textImg = Image.new('RGB',(150,40),(0,0,0))
tmpDraw = ImageDraw.Draw(textImg)
textFont = ImageFont.truetype('/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType/Arial_Black.ttf',30)
tmpDraw.text((0, 0), 'ENI Ed.', font = textFont, fill = (10,200,200))
textImg = textImg.rotate(-10)

# Creación de la máscara (mismo tamaño que la imagen del texto)
mask = Image.new('L',(150, 40),0) 
mask.paste(textImg,(0,0))

# pegar en la imagen con el texto
image.paste(textImg,(100,0),mask)

image.save('ENI.jpg')
